﻿Public Class Form1
    Dim BlnMdl_PrtScrLock As Boolean    ' True:PrintScreenロック False:PrintScreenアンロック

    #Region "Function GetButton1Text : Button1のテキストを返します."
        ' Button1のテキストを返します.
        Private Function GetButton1Text(ByVal BlnPara_Lock As Boolean) As String
            Dim Str_Ret As String = Nothing
            Try
                Select Case BlnPara_Lock
                    Case True
                        Str_Ret = "PrintScreenキーのロックを解除します。"
                    Case False
                        Str_Ret = "PrintScreenキーをロックします。"
                End Select
            Catch ex As Exception

            End Try
            ' 結果を戻します.
            Return Str_Ret
        End Function
    #End Region

    #Region "Sub Form1_FormClosed : FormClosedイベント."
        Private Sub Form1_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
            Try
                ClsPub_NSDPrnScr.Dispose()
                ClsPub_NSDPrnScr = Nothing
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Form1_Load : Loadイベント."
        Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Try
                ' 現在のロック状態を取得します.
                BlnMdl_PrtScrLock = ClsPub_NSDPrnScr.IsPSKLock()
                ' ボタン1のCaptionをセットします。
                Me.Button1.Text = GetButton1Text(BlnMdl_PrtScrLock)
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Button1_Click : PrintScreenキーのロック切替."
        Private Sub Button1_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button1.Click
            Try
                BlnMdl_PrtScrLock = ClsPub_NSDPrnScr.PSKLockOrUnLock(Me, "PrintScreenキーはロックされています。")
                ' ボタン1のCaptionをセットします。
                Me.Button1.Text = GetButton1Text(BlnMdl_PrtScrLock)
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Button2_Click : Form2をモーダル表示します."
        Private Sub Button2_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button2.Click
            Try
                Using F2 As New Form2
                    ' Form2をモーダル表示します.
                    F2.ShowDialog()
                End Using
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Button3_Click : Form3をモードレス表示します."
        ' Form3をモードレス表示します.
        Private Sub Button3_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Button3.Click
            Try
                Dim F3 As New Form3
                ' Form3を表示します。
                F3.Show()

            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub New : リソースの割り当て."
        Public Sub New()
            ' 必ず、InitializeComponentより前に呼び出します。
            ClsPub_NSDPrnScr = New NSDPrintScreen(Me)
        
            ' この呼び出しはデザイナーで必要です。
            InitializeComponent()
        
            ' InitializeComponent() 呼び出しの後で初期化を追加します。
        
        End Sub
    #End Region
End Class